php5.3からphp5.5にアップデートしたときの話

 

ほぼ自分用メモ

5.5へのアップデートはスムーズに行えたが、php関連のモジュールを入れ直し忘れて四苦八苦しただけのお話。


まずは/etc/apt/preferencesでバージョンを固定していたのでその記述を消す。

次にアップデート

php -v でバージョン確認→5.3から5.5になっている
apacheを再起動しないと現在稼働しているシステムに適応されないので

ここでwebページにアクセスすると Internal サーバーエラー error500が返される。

/etc/apache2/logs/error_log を確認

Invalid command ‘php_value’, perhaps misspelled or defined by a module not included in the server configuration

どうやらapacheのphpモジュールが無いとでるエラーのようなのでphpモジュールをインストール

これでphpベースで動いているページは表示されるようになった。だがsqlを使用するページは真っ白になっている。

→真っ白な状態からデータベース接続エラーが表示されるようになる。

原因はなんだとなやんでいたら/etc/php5/php.iniが無かったことが判明。エラーを何とかしようと設定を弄る前にphp.ini.bakにリネームしたままだったせい。

コメントを残す